## network-manager 1.0.4

=== debian/changelog ===
network-manager (1.0.4-0ubuntu5.3) wily; urgency=medium

  * Fix NetworkManager-wait-online.service so it is enabled so NFS
    and other remote FS work with name resolution. (LP: #1515446)

 -- Bryan Quigley <bryan.quigley@canonical.com>  Thu, 03 Mar 2016 16:50:46 +0100

network-manager (1.0.4-0ubuntu5.2) wily; urgency=medium

  * debian/patches/lp1499827_device_avoid_undefined_mtu_c44069c1.patch
    Cherry-pick commit c44069c1 from upstream: avoid changing the MTU if it's
    undefined in NM code. (LP: #1499827)
  * debian/patches/lp1499827_dont_change_unset_mtu_a92d8b0c.patch:
    Cherry pick upstream commit a92d8b0c: don't change the MTU if we have a
    value of 0 for it; it means "default", not "0 size packets". (LP: #1499827)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 27 Nov 2015 14:03:32 -0500

network-manager (1.0.4-0ubuntu5.1) wily; urgency=medium

  * debian/patches/git_fix_race_external_down_e29ab543.patch: fix race in
    wrongly managing devices due to receiving udev signals late. (LP: #1512749)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Tue, 03 Nov 2015 14:42:19 -0600

network-manager (1.0.4-0ubuntu5) wily; urgency=medium

  * debian/patches/git_set_vpn_mtu_9736327b.patch: set the MTU for the VPN
    interface. (LP: #1498474) 
  * debian/patches/lp1446689_git_use_kernel_pppoe_6fdfb031.patch: use the
    kernel-provided pppoe interfaces rather than requiring the use of rp-pppoe
    to use PPPoE; we switched to rp-pppoe some time ago to workaround a bug in
    detecting disconnects which has seen been fixed and could be worked around
    fairly simply with the right configuration. (LP: #1446689)
  * debian/rules: don't pass --with-pppoe to configure; the option is removed
    by the above patch.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 14 Oct 2015 12:33:53 -0400

network-manager (1.0.4-0ubuntu4) wily; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * d/p/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch:
    Pre-initialize reason for ofono state changes to NULL; this avoids getting
    to nm_device_set_state with an invalid reason string. (LP: #1499906)
  * d/p/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch:
    cleanup ip_string_to_network_address() to work as its NMModemBroadband
    version, and start setting NM_MODEM_IP4_METHOD to _STATIC so IP, prefix,
    gateway and DNS get properly applied on an oFono modem as it comes up.
  * debian/NetworkManager.conf: re-enable the ofono plugin (fixes a regression).
  * debian/patches/add_ofono_settings_support.patch: don't link against
    libnm-glib as this would cause type duplication and crashes. (LP: #1499904)
  * debian/patches/lp1496434_warn_on_invalid_new_link.patch: don't outright
    crash by dereferencing a NULL pointer if a device can't get created by its
    NMDeviceFactory; we should warn though, as we want to know about these
    failures; but no need to make all of NM sad. (LP: #1496434)

  [ Tony Espy ]
  * d/p/0002-wifi-cull-the-scan-list-before-signalling-ScanDone-b.patch:
    Fix duplicate 'LastSeen' PropertiesChanged signals being generated
    after every scan. The 'Last-Seen' property is now only updated when
    a scan finishes, and schedule_scanlist_cull is no longer triggered
    new_bss_cb or updated_bss_cb. (LP: #1480877)
  * d/p/add_ofono_settings_support.patch: Fix memory leaks in plugin.
  * d/p/add_ofono_settings_support.patch: Remove unused plugin DBus code.
  * d/p/CVE-2015-1322.patch: Drop CVE which applied to removed DBus code
    in ofono settings plugin.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Sat, 26 Sep 2015 00:02:02 -0400

network-manager (1.0.4-0ubuntu3) wily; urgency=medium

  * New upstream NM release post-feature-freeze. (LP: #1493934)
    (previous revisions never transitioned from proposed)

  [ Martin Pitt ]
  * debian/tests/nm: Revert the previous disabling of tests, they are all
    conceptually still valid.
  * debian/tests/nm: Reduce timeouts to something reasonable; waiting 3
    minutes for detecing an AP should not count as "success", and it takes too
    long for tests to fail.
  * debian/tests/nm: Fix ColdplugWifi.test_no_ap: with 1.0 the state is now
    "UNAVAILABLE" instead of "DISCONNECTED"; so check for either.

  [ Mathieu Trudel-Lapierre ]
  * debian/patches/git_config_parse_cmdline_args_8a22a981.patch: don't shadow
    the config_cli parameter for early config with a local copy. (LP: #1492168)
  * d/p/0001-wwan-add-support-for-using-oFono-as-a-modem-manager.patch: fix
    signal handling for oFono using GDBus; it's a little simpler now, watching
    for signals in general and matching only ModemAdded/ModemRemoved. Inspired
    from urfkill code. (LP: #1492126)
  * debian/patches/git_fix_duplicate_unittest_names_7b70a840.patch: replace
    duplicate unit test names, which is a new restriction set by GLib.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Thu, 10 Sep 2015 14:53:16 -0400

network-manager (1.0.4-0ubuntu2) wily; urgency=medium

  * debian/patches/only-ignore-host-side-veth.patch: remove unused patch; NM
    doesn't automatically try to manage any side of veth devices anymore.
  * debian/patches/disable_general_with_expect_test.patch: disable
    test_general_with_expect; which is flaky on ppc64el and arm64.
  * debian/tests/nm:
    - Enable mucho logging when running tests, this helps a lot debugging when
      the tests fail.
    - Skip wifi tests for now; they appear to be broken, possibly due to
      changes in wpa 2.4's interaction with mac80211_hwsim.
    - test_manual_ip4 is an expectedFailure. It's not manual at all; and the
      DHCP requests fail to complete.
    - auto_detect_eth is an expectedFailure, both ends of the veth interfaces
      are now unmanaged which causes the tests to fail. These tests will need
      to be rewritten/adapted to the way the world really works.
    - Allow for more than one activeConnection available; this is slightly

