## network-manager 1.0.8

=== debian/changelog ===
network-manager (1.0.8-1mx150+1) mx; urgency=medium

  * Non-maintainer upload.
  * Repackaged for MX 15

 -- Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>  Thu, 17 Mar 2016 19:04:44 -0500

network-manager (1.0.8-1) unstable; urgency=medium

  * New upstream release.
    - MTU indicated by a VPN gateway is now properly applied.
      (Closes: #794237)
  * Rebase patches.
  * Install new nm-versions-macros.h header file.
  * Check errors of polkit_unix_session_new_for_process_sync(). Patch
    cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Nov 2015 14:32:35 +0100

network-manager (1.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols file for libnm0 and libnm-glib4.
  * Drop debian/patches/Mark-virtual-ethernet-interfaces-as-unmanaged.patch,
    this patch is obsolete, since upstream provides a udev rules based
    mechanism now to mark virtual interfaces as unmanaged. (Closes: #794083)
  * Use GnuTLS crypto API instead of gcrypt. Patch cherry-picked from upstream
    Git. (Closes: #748675)
  * Fix command line parsing in nmcli. Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Fri, 28 Aug 2015 17:01:26 +0200

network-manager (1.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols file for libnm0.
  * Drop obsolete Breaks from pre-wheezy.

 -- Michael Biebl <biebl@debian.org>  Thu, 30 Jul 2015 00:20:10 +0200

network-manager (1.0.2-2) unstable; urgency=medium

  * Fix fallback paths when writing resolv.conf. (Closes: #784587)

 -- Michael Biebl <biebl@debian.org>  Thu, 07 May 2015 03:48:34 +0200

network-manager (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Make no-patch-numbers the default for gbp pq to avoid unnecessary noise.
  * Rebase patches.
  * Enable and install the ibft plugin. This plugin queries the 'iscsiadm'
    tool and generates connections based on the firmware configuration.
  * Fix path to the iscsiadm binary in the ibft plugin.

 -- Michael Biebl <biebl@debian.org>  Wed, 06 May 2015 18:20:12 +0200

network-manager (1.0.0-5) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Apr 2015 15:27:39 +0200

network-manager (1.0.0-4) experimental; urgency=medium

  * Merge changes from master branch.
  * Bump version check in preinst for the cleanup routine to match the
    experimental version.

 -- Michael Biebl <biebl@debian.org>  Tue, 31 Mar 2015 07:45:38 +0200

network-manager (1.0.0-3) experimental; urgency=medium

  * Add strictly versioned Depends on libnm0 to libnm-dev.
  * Detect at runtime whether to start ModemManager. (Closes: #770871)
  * Don't install nm-settings-ifcfg-rh.5 man page.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Feb 2015 01:58:39 +0100

network-manager (1.0.0-2) experimental; urgency=medium

  * Enable Bluez5 DUN support.
  * Enable polkit agent support for the CLI tools.
  * Update Vcs-Browser URL to use cgit and https.

 -- Michael Biebl <biebl@debian.org>  Mon, 02 Feb 2015 13:51:31 +0100

network-manager (1.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Update symbols files for libnm-glib and libnm-util.
  * Add perl and libyaml-perl to Build-Depends, required to build the
    documentation.
  * Add libnm0 and libnm-dev packages for libnm, a new GObject-based client
    library for NetworkManager which is supposed to replace libnm-util and
    libnm-glib.
  * Fix incorrect dependencies in libnm.pc.
  * Bump Standards-Version to 3.9.6. No further changes.

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Jan 2015 21:26:50 +0100
