=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Ubuntu Core Dev Team <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Bugs: mailto: <maintainer@mepiscommunity.org>
 Build-Depends: debhelper (>= 9),
                dh-systemd (>= 1.14),
                dh-autoreconf,
@@ -19,8 +20,7 @@
                ppp-dev (>= 2.4.6),
                libpolkit-gobject-1-dev,
                libpolkit-agent-1-dev (>= 0.97),
-               libgnutls-dev,
-               libgcrypt20-dev,
+               libgnutls28-dev (>= 2.12),
                uuid-dev,
                systemd (>= 185),
                libsystemd-dev (>= 209),
@@ -37,49 +37,35 @@
                libndp-dev,
                libreadline-dev,
                libnewt-dev (>= 0.52.15),
-               libbluetooth-dev (>= 5),
-               valac (>= 0.17.1.24),
-               dbus-test-runner,
-               python-dbus,
-               python-gi,
+               libteam-dev (>= 1.9),
+               libbluetooth-dev (>= 5)
 Standards-Version: 3.9.6
-Vcs-Bzr: https://code.launchpad.net/~network-manager/network-manager/ubuntu
-Homepage: http://www.gnome.org/projects/NetworkManager/
-XS-Testsuite: autopkgtest
+Vcs-Git: git://anonscm.debian.org/pkg-utopia/network-manager.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/network-manager.git
+Homepage: https://wiki.gnome.org/Projects/NetworkManager
 
 Package: network-manager
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         dnsmasq-base,
          lsb-base (>= 3.2-14),
          wpasupplicant (>= 0.7.3-1),
          dbus (>= 1.1.2),
          udev,
          adduser,
-         isc-dhcp-client (>= 4.3.1-5ubuntu1),
+         isc-dhcp-client (>= 4.1.1-P1-4),
          libpam-systemd,
          policykit-1
 Recommends: ppp (>= 2.4.6),
+            dnsmasq-base,
             iptables,
             modemmanager,
             crda,
-            iputils-arping,
-            network-manager-pptp,
-            network-manager-gnome | plasma-widget-networkmanagement | plasma-nm,
-            modemmanager | ofono,
+            iputils-arping
 Suggests: avahi-autoipd,
-          python,
-Breaks: network-manager-gnome (<< 0.9),
-        network-manager-openvpn (<< 0.9),
-        network-manager-vpnc (<< 0.9),
-        network-manager-pptp (<< 0.9),
-        network-manager-openconnect (<< 0.9),
-        network-manager-kde (<< 1:0.9),
-        plasma-widget-networkmanagement (<< 0.9~),
-        ppp (<< 2.4.6)
-Conflicts: connman
+          libteam-utils
+Breaks: ppp (<< 2.4.6)
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
@@ -92,8 +78,13 @@
  .
  Optional dependencies:
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
+  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
+    connection sharing.
   * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
     address configuration.
+  * libteam-utils: Network Team driver allows multiple network interfaces to be
+    teamed together and act like a single one. This process is called "ethernet
+    bonding", "channel teaming" or "link aggregation".
 
 Package: network-manager-dev
 Section: devel
