=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 		--libexecdir=/usr/lib/NetworkManager \
 		--with-pppd-plugin-dir=/usr/lib/pppd/2.4.6 \
 		--with-pppd=/usr/sbin/pppd \
+		--with-pppoe=/usr/sbin/pppoe \
 		--with-resolvconf=/sbin/resolvconf \
 		--with-dhclient=/sbin/dhclient \
 		--with-iptables=/sbin/iptables \
@@ -38,30 +39,29 @@
 		--enable-introspection \
 		--enable-gtk-doc \
 		--enable-concheck \
-		--enable-teamdctl=no \
-		--enable-vala \
-		--with-tests \
+		--enable-teamdctl \
 		--enable-bluez5-dun
 
 override_dh_install:
-	rm -vf $(CURDIR)/debian/tmp/etc/init.d/NetworkManager
 	dh_install -X.la --list-missing
 	install -m 755 debian/network-manager-dispatcher.script \
 		debian/network-manager/etc/NetworkManager/dispatcher.d/01ifupdown
 	install -m 755 debian/ifblacklist_migrate.sh \
 		debian/network-manager/usr/lib/NetworkManager
-	# copy dnsmasq configuration
-	mkdir -p debian/network-manager/etc/dnsmasq.d
-	cp debian/network-manager.dnsmasq debian/network-manager/etc/dnsmasq.d/network-manager
 
 override_dh_installinit:
-	dh_installinit --noscripts
+	dh_installinit -pnetwork-manager --restart-after-upgrade
 
 override_dh_makeshlibs:
 	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/NetworkManager/ -X/usr/lib/pppd/
 
 override_dh_strip:
 	dh_strip --dbg-package=network-manager-dbg
+
+override_dh_systemd_enable:
+	dh_systemd_enable -pnetwork-manager NetworkManager-dispatcher.service
+	dh_systemd_enable -pnetwork-manager --no-enable NetworkManager-wait-online.service
+	dh_systemd_enable -pnetwork-manager NetworkManager.service
 
 override_dh_systemd_start:
 	dh_link lib/systemd/system/NetworkManager.service \
@@ -71,4 +71,3 @@
 	dh_systemd_start -pnetwork-manager --restart-after-upgrade NetworkManager.service
 
 override_dh_auto_test:
-	dbus-test-runner -m 300 -t dh_auto_test
