=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: network-manager
 Section: net
 Priority: optional
-Maintainer: Mike Elstad (v3g4n) <maintainer@mepiscommunity.org>
+Maintainer: Ubuntu Core Dev Team <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
-Bugs: mailto: <maintainer@mepiscommunity.org>
 Build-Depends: debhelper (>= 9),
                dh-systemd (>= 1.14),
                dh-autoreconf,
@@ -17,10 +16,11 @@
                libnl-3-dev (>= 3.2.8),
                libnl-route-3-dev (>= 3.2.8),
                libnl-genl-3-dev (>= 3.2.8),
-               ppp-dev (>= 2.4.6),
+               ppp-dev (>= 2.4.7-1+1),
                libpolkit-gobject-1-dev,
                libpolkit-agent-1-dev (>= 0.97),
-               libgnutls28-dev (>= 2.12),
+               libgnutls-dev,
+               libgcrypt20-dev,
                uuid-dev,
                systemd (>= 185),
                libsystemd-dev (>= 209),
@@ -28,7 +28,7 @@
                libgudev-1.0-dev (>= 165),
                libgirepository1.0-dev (>= 0.10.7-1~),
                gobject-introspection (>= 0.9.12-4~),
-               libsoup2.4-dev (>= 2.26),
+               libsoup2.4-dev (>= 2.40),
                gtk-doc-tools,
                perl,
                libyaml-perl,
@@ -37,35 +37,50 @@
                libndp-dev,
                libreadline-dev,
                libnewt-dev (>= 0.52.15),
-               libteam-dev (>= 1.9),
-               libbluetooth-dev (>= 5)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-utopia/network-manager.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/network-manager.git
+               libbluetooth-dev (>= 5),
+               dbus <!nocheck>,
+               python-gi <!nocheck>,
+               valac (>= 0.17.1.24),
+               dbus-test-runner,
+               python-dbus <!nocheck>
+Standards-Version: 3.9.7
+Vcs-Bzr: https://code.launchpad.net/~network-manager/network-manager/ubuntu
 Homepage: https://wiki.gnome.org/Projects/NetworkManager
+XS-Testsuite: autopkgtest
 
 Package: network-manager
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         dnsmasq-base,
          lsb-base (>= 3.2-14),
          wpasupplicant (>= 0.7.3-1),
          dbus (>= 1.1.2),
          udev,
          adduser,
-         isc-dhcp-client (>= 4.1.1-P1-4),
+         isc-dhcp-client (>= 4.3.1-5ubuntu1),
          libpam-systemd,
          policykit-1
 Recommends: ppp (>= 2.4.6),
-            dnsmasq-base,
             iptables,
             modemmanager,
             crda,
-            iputils-arping
+            iputils-arping,
+            network-manager-pptp,
+            network-manager-gnome | plasma-widget-networkmanagement | plasma-nm,
+            modemmanager | ofono,
 Suggests: avahi-autoipd,
-          libteam-utils
-Breaks: ppp (<< 2.4.6)
+          python,
+Breaks: network-manager-gnome (<< 0.9),
+        network-manager-openvpn (<< 0.9),
+        network-manager-vpnc (<< 0.9),
+        network-manager-pptp (<< 0.9),
+        network-manager-openconnect (<< 0.9),
+        network-manager-kde (<< 1:0.9),
+        plasma-widget-networkmanagement (<< 0.9~),
+        ppp (<< 2.4.6)
+Conflicts: connman
 Description: network management framework (daemon and userspace tools)
  NetworkManager is a system network service that manages your network devices
  and connections, attempting to keep active network connectivity when
@@ -78,13 +93,8 @@
  .
  Optional dependencies:
   * ppp: Required for establishing dial-up connections (e.g. via GSM).
-  * dnsmasq-base/iptables: Required for creating Ad-hoc connections and
-    connection sharing.
   * avahi-autoipd: Used for IPv4LL, a protocol for automatic Link-Local IP
     address configuration.
-  * libteam-utils: Network Team driver allows multiple network interfaces to be
-    teamed together and act like a single one. This process is called "ethernet
-    bonding", "channel teaming" or "link aggregation".
 
 Package: network-manager-dev
 Section: devel
@@ -238,24 +248,6 @@
  .
  This package contains header and development files.
 
-Package: network-manager-dbg
-Architecture: linux-any
-Section: debug
-Priority: extra
-Depends: ${misc:Depends},
-         network-manager (= ${binary:Version}),
-         libnm-util2 (= ${binary:Version}),
-         libnm-glib4 (= ${binary:Version}),
-         libnm-glib-vpn1 (= ${binary:Version})
-Description: network management framework (debugging symbols)
- NetworkManager is a system network service that manages your network devices
- and connections, attempting to keep active network connectivity when
- available. It manages ethernet, WiFi, mobile broadband (WWAN), and PPPoE
- devices, and provides VPN integration with a variety of different VPN
- services.
- .
- This package contains detached debugging symbols.
-
 Package: gir1.2-networkmanager-1.0
 Section: introspection
 Architecture: linux-any
